package dev.pfaff.altargui;

@FunctionalInterface
public interface LayoutBuilder {
	/**
	 * @param x the left-most coordinate of the region allocated for the widget.
	 * @param y the top-most coordinate of the region allocated for the widget.
	 * @param w the width of the region allocated for the widget.
	 * @param h the height of the region allocated for the widget.
	 */
	Widget build(int x, int y, int w, int h);
}
